Package com.avaya.clientservices.common

## Class ProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.common.ProtocolException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `PresenceException`

      public class ProtocolException
      extends java.lang.Exception

  Exception representing a failure associated with a signaling protocol.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProtocolException​(int protocolErrorCode, java.lang.String protocolErrorReason)` |
    `ProtocolException​(int protocolErrorCode, java.lang.String protocolErrorReason, int protocolWarningCode, java.lang.String protocolWarningReason)` |
    `ProtocolException​(java.lang.String detailMessage, int protocolResponseCode, java.lang.String protocolReason, int protocolWarningCode, java.lang.String protocolWarningReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getProtocolReason()` | Returns the reason string from the underlying signaling protocol.
    `int` | `getProtocolResponseCode()` | Returns the response code from the underlying signaling protocol.
    `int` | `getProtocolWarningCode()` | Returns the warning code from the underlying signaling protocol.
    `java.lang.String` | `getProtocolWarningReason()` | Returns the warning reason string from the underlying signaling protocol.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolException

          public ProtocolException​(int protocolErrorCode,
                                   java.lang.String protocolErrorReason)

    - #### ProtocolException

          public ProtocolException​(int protocolErrorCode,
                                   java.lang.String protocolErrorReason,
                                   int protocolWarningCode,
                                   java.lang.String protocolWarningReason)

    - #### ProtocolException

          public ProtocolException​(java.lang.String detailMessage,
                                   int protocolResponseCode,
                                   java.lang.String protocolReason,
                                   int protocolWarningCode,
                                   java.lang.String protocolWarningReason)

  - ### Method Detail

    - #### getProtocolResponseCode

          public int getProtocolResponseCode()

      Returns the response code from the underlying signaling protocol.
      Returns:
        the response code from the underlying signaling protocol.

    - #### getProtocolReason

          public java.lang.String getProtocolReason()

      Returns the reason string from the underlying signaling protocol.
      Returns:
        the reason string from the underlying signaling protocol.

    - #### getProtocolWarningCode

          public int getProtocolWarningCode()

      Returns the warning code from the underlying signaling protocol.
      Returns:
        the warning code from the underlying signaling protocol.

    - #### getProtocolWarningReason

          public java.lang.String getProtocolWarningReason()

      Returns the warning reason string from the underlying signaling protocol.
      Returns:
        the warning reason string from the underlying signaling protocol.